#!/bin/sh
#
# ICPDAS LinPAC touch device driver daemon
#
# /etc/init.d/penmount_serial.sh 0.1 2012/09/10 ( moki matsushima )
#

usage()
{
    echo "Usage: $0 {start|stop|restart}"
}

EXITCODE=1
for x in "1" ; do

    if [ $# -lt 1 ] ; then usage ; break ; fi
    action=$1

    case "$action" in

    start)
	echo "Starting Penmount Device services: "
        /sbin/insmod pm9000.ko
        #/sbin/insmod pm6000.ko
	EXITCODE=0
	;;
    stop)
	echo -n "Shutting down Touch Device services: "
	/sbin/rmmod pm9000
        #/sbin/rmmod pm6000
	echo "done."
	EXITCODE=0
	;;
    restart)
	$0 stop
	$0 start
	EXITCODE=$?
	;;
    *)
	usage
	;;

    esac

done
